use std::process::ExitCode;

use clap::Parser;

use self::cli::parameters::Cli;
use self::cli::parameters::Commands;
mod cli;

fn main() -> Result<ExitCode, Box<dyn std::error::Error>> {
    let rt = tokio::runtime::Runtime::new()?;
    rt.block_on(async {
        let main_body_result = main_body().await;
        main_body_result
    })
}

async fn main_body() -> Result<ExitCode, Box<dyn std::error::Error>> {
    let args = Cli::parse();
    match args.command {
        Commands::Init(_args) => {}
        Commands::Build(_args) => {}
        Commands::AddPost(_args) => {}
    };
    Ok(ExitCode::SUCCESS)
}
